#if !defined(AFX_GUIObjPanel_H__92C4EE58_07EE_416F_97AA_DB2179409A19__INCLUDED_)
#define AFX_GUIObjPanel_H__92C4EE58_07EE_416F_97AA_DB2179409A19__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// GUIObjPanel.h : header file
//

#include <Stuff\Stuff.hpp>

#include"PanelDlg.h"
class EdGUIObject;
class CObjProps;
class UndoCommand;

/////////////////////////////////////////////////////////////////////////////
// GUIObjPanel dialog

class GUIObjPanel : public CPanelDlg
{
// Construction
public:
	GUIObjPanel(EdGUIObject *gobj,UndoCommand **cmd,CWnd* pParent = NULL);   
	GUIObjPanel(CObjProps *gobj,CWnd* pParent = NULL);  
	CObjProps	*MyMultiProps;
	EdGUIObject *MyObj;
	UndoCommand **CmdLst;
	Stuff::LinearMatrix4D m_SavedMatrix;
	Stuff::YawPitchRange m_SavedYPR;
	Stuff::Point3D m_SavedLookAt;
	bool m_SavedSnapToGround;
	bool PitchChange,RollChange,YawChange,PosXChange,PosYChange,PosZChange,SnapChange,ElevationChange;
// Dialog Data
	//{{AFX_DATA(GUIObjPanel)
	enum { IDD = IDD_GUIOBJPANEL };
	float	m_HElevation;
	BOOL	m_SnapGround;
	float	m_Pitch;
	float	m_PosX;
	float	m_PosY;
	float	m_PosZ;
	float	m_Roll;
	float	m_Yaw;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(GUIObjPanel)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(GUIObjPanel)
	virtual void OnOK();
	virtual void OnCancel();
	virtual BOOL OnInitDialog();
	afx_msg void OnClearrot();
	afx_msg void OnCameraLookAt();
	afx_msg void OnCameraLookFrom();
	afx_msg void OnMoveObjectToFOV();
	afx_msg void OnMoveObjectToCamera();
	afx_msg void OnKillfocusPosx();
	afx_msg void OnKillfocusPosy();
	afx_msg void OnKillfocusPosz();
	afx_msg void OnKillfocusElevation();
	afx_msg void OnChangePitch();
	afx_msg void OnChangePosx();
	afx_msg void OnChangePosy();
	afx_msg void OnChangePosz();
	afx_msg void OnChangeRoll();
	afx_msg void OnChangeYaw();
	afx_msg void OnChangeElevation();
	afx_msg void OnSnap();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_GUIObjPanel_H__92C4EE58_07EE_416F_97AA_DB2179409A19__INCLUDED_)
